# SalesChannelMarketPlaceAttribute

## Get a specific marketplace attribute by ID

> Retrieve details of a marketplace attribute by its unique ID

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttribute":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"channel":{"type":"integer","description":"Associated channel ID"},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"Associated schema ID, can be null"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["name","channel"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/channel/{channel_id}/attributes/{id}/":{"get":{"summary":"Get a specific marketplace attribute by ID","description":"Retrieve details of a marketplace attribute by its unique ID","tags":["SalesChannelMarketPlaceAttribute"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttribute"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Update a marketplace attribute

> Update an existing marketplace attribute

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeUpdate":{"type":"object","properties":{"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"channel":{"type":"integer","description":"Associated channel ID"},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"Associated schema ID, can be null"}}},"MarketPlaceAttribute":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"channel":{"type":"integer","description":"Associated channel ID"},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"Associated schema ID, can be null"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["name","channel"]}}},"paths":{"/api/channel/{channel_id}/attributes/{id}/":{"put":{"summary":"Update a marketplace attribute","description":"Update an existing marketplace attribute","tags":["SalesChannelMarketPlaceAttribute"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeUpdate"}}}},"responses":{"200":{"description":"Successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttribute"}}}},"400":{"description":"Invalid request"},"404":{"description":"Attribute not found"}}}}}}
```

## Delete a marketplace attribute

> Delete an existing marketplace attribute

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/channel/{channel_id}/attributes/{id}/":{"delete":{"summary":"Delete a marketplace attribute","description":"Delete an existing marketplace attribute","tags":["SalesChannelMarketPlaceAttribute"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"responses":{"204":{"description":"Attribute deleted successfully"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Partial update of a marketplace attribute

> Update a specific field of a marketplace attribute

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeUpdate":{"type":"object","properties":{"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"channel":{"type":"integer","description":"Associated channel ID"},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"Associated schema ID, can be null"}}},"MarketPlaceAttribute":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"channel":{"type":"integer","description":"Associated channel ID"},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"Associated schema ID, can be null"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["name","channel"]}}},"paths":{"/api/channel/{channel_id}/attributes/{id}/":{"patch":{"summary":"Partial update of a marketplace attribute","description":"Update a specific field of a marketplace attribute","tags":["SalesChannelMarketPlaceAttribute"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/id_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeUpdate"}}}},"responses":{"200":{"description":"Successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttribute"}}}},"400":{"description":"Invalid request"},"404":{"description":"Attribute not found"}}}}}}
```

## List all attributes for a channel

> Retrieve a list of all attributes associated with a specific channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}},"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}}},"schemas":{"MarketPlaceAttributeList":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of records"},"next":{"type":"string","nullable":true,"format":"uri","description":"URL of the next page"},"previous":{"type":"string","nullable":true,"format":"uri","description":"URL of the previous page"},"results":{"type":"array","items":{"$ref":"#/components/schemas/MarketPlaceAttribute"},"description":"List of results"}}},"MarketPlaceAttribute":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"channel":{"type":"integer","description":"Associated channel ID"},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"Associated schema ID, can be null"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["name","channel"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/channel/{channel_id}/attributes/":{"get":{"summary":"List all attributes for a channel","description":"Retrieve a list of all attributes associated with a specific channel","tags":["SalesChannelMarketPlaceAttribute"],"parameters":[{"$ref":"#/components/parameters/channel_path"},{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeList"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Create a new marketplace attribute

> Create a new marketplace attribute for a specific channel

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"channel_path":{"name":"channel_id","in":"path","description":"The channel ID of the resource.","required":true,"schema":{"type":"integer"}}},"schemas":{"MarketPlaceAttributeCreate":{"type":"object","properties":{"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"channel":{"type":"integer","description":"Associated channel ID"},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"Associated schema ID, can be null"}},"required":["name","channel"]},"MarketPlaceAttribute":{"type":"object","properties":{"pk":{"type":"integer","readOnly":true,"description":"Unique identifier of the attribute"},"name":{"type":"string","maxLength":255,"description":"Name of the attribute"},"channel":{"type":"integer","description":"Associated channel ID"},"locale_attribute_schema":{"type":"integer","nullable":true,"description":"Associated schema ID, can be null"},"modified_date":{"type":"string","format":"date-time","readOnly":true,"description":"Last modification date"}},"required":["name","channel"]}}},"paths":{"/api/channel/{channel_id}/attributes/":{"post":{"summary":"Create a new marketplace attribute","description":"Create a new marketplace attribute for a specific channel","tags":["SalesChannelMarketPlaceAttribute"],"parameters":[{"$ref":"#/components/parameters/channel_path"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttributeCreate"}}}},"responses":{"201":{"description":"Successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarketPlaceAttribute"}}}},"400":{"description":"Invalid request"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/omnitron-openapis/saleschannelmarketplaceattribute.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
